## version

version — Library version handling.

## Functions

const char * | pskc_check_version ()

## Types and Values

#define | PSKC_VERSION
#define | PSKC_VERSION_NUMBER

## Description

The `pskc_check_version()` function can be used to discover the library version and to test that the shared library during run-time is recent enough.

## Functions

### pskc_check_version ()

    const char *
    pskc_check_version (const char *req_version);

Check PSKC library version.

See `PSKC_VERSION` for a suitable `req_version` string.

This function is one of few in the library that can be used without a successful call to `pskc_global_init()`.

#### Parameters

req_version | version string to compare with, or NULL. |

#### Returns

Check that the version of the library is at minimum the one given as a string in `req_version` and return the actual version string of the library; return NULL if the condition is not met. If NULL is passed to this function no check is done and only the version string is returned.

## Types and Values

### PSKC_VERSION

    # define PSKC_VERSION "2.6.14"

Pre-processor symbol with a string that describe the header file version number. Used together with `pskc_check_version()` to verify header file and run-time library consistency.

### PSKC_VERSION_NUMBER

    # define PSKC_VERSION_NUMBER 0x02060e00

Pre-processor symbol with a hexadecimal value describing the header file version number. For example, when the header version is 1.2.3 this symbol will have the value 0x01020300. The last two digits are only used between public releases, and will otherwise be 00.